Telegram APIMessages
messages.getFullChat
Get full info about a basic group.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Get full info about a basic group.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getFullChat" \ -H "Content-Type: application/json" \ -d '{ "params": { "chatId": 0 } }'{ "result": { "_": "messages.chatFull", "fullChat": { "_": "chatFull", "canSetUsername": true, "hasScheduled": true, "translationsDisabled": true, "id": 0, "about": "string", "participants": { "_": "chatParticipantsForbidden", "chatId": 0, "selfParticipant": { "_": "chatParticipant", "userId": 0, "inviterId": 0, "date": 0, "rank": "string" } }, "chatPhoto": { "_": "photoEmpty", "id": "string" }, "notifySettings": { "_": "peerNotifySettings", "showPreviews": true, "silent": true, "muteUntil": 0, "iosSound": { "_": "notificationSoundDefault" }, "androidSound": { "_": "notificationSoundDefault" }, "otherSound": { "_": "notificationSoundDefault" }, "storiesMuted": true, "storiesHideSender": true, "storiesIosSound": { "_": "notificationSoundDefault" }, "storiesAndroidSound": { "_": "notificationSoundDefault" }, "storiesOtherSound": { "_": "notificationSoundDefault" } }, "exportedInvite": { "_": "chatInviteExported", "revoked": true, "permanent": true, "requestNeeded": true, "link": "string", "adminId": 0, "date": 0, "startDate": 0, "expireDate": 0, "usageLimit": 0, "usage": 0, "requested": 0, "subscriptionExpired": 0, "title": "string", "subscriptionPricing": { "_": "starsSubscriptionPricing", "period": 0, "amount": "string" } }, "botInfo": [ { "_": "botInfo", "hasPreviewMedias": true, "userId": 0, "description": "string", "descriptionPhoto": { "_": "photoEmpty", "id": "string" }, "descriptionDocument": { "_": "documentEmpty", "id": "string" }, "commands": [ { "_": "botCommand", "ephemeral": true, "command": "string", "description": "string" } ], "menuButton": { "_": "botMenuButtonDefault" }, "privacyPolicyUrl": "string", "appSettings": { "_": "botAppSettings", "placeholderPath": "string", "backgroundColor": 0, "backgroundDarkColor": 0, "headerColor": 0, "headerDarkColor": 0 }, "verifierSettings": { "_": "botVerifierSettings", "canModifyCustomDescription": true, "icon": "string", "company": "string", "customDescription": "string" } } ], "pinnedMsgId": 0, "folderId": 0, "call": { "_": "inputGroupCall", "id": "string", "accessHash": "string" }, "ttlPeriod": 0, "groupcallDefaultJoinAs": { "_": "peerUser", "userId": 0 }, "themeEmoticon": "string", "requestsPending": 0, "recentRequesters": [ "string" ], "availableReactions": { "_": "chatReactionsNone" }, "reactionsLimit": 0 }, "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getForumTopicsByID
Get forum topics by their ID
getFutureChatCreatorAfterLeave
Group/channel owners only: returns the ID of the user that will become the new owner of the group if we decide to leave the group, see [here »](https://core.telegram.org/api/channel#leaving-groups-channels) for more info on the full flow.